Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.nested.html
Class NestedTextTag

    java.lang.Object
      BaseFieldTag
          com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
              com.bea.struts.adapter.taglib.html.TextTag
                  com.bea.struts.adapter.taglib.nested.html.NestedTextTag

All Implemented Interfaces:
  TagAdapter

public class NestedTextTag
extends TextTag

NestedTextTag.

Since:
  Struts 1.1
See Also:
  Serialized Form

Constructor Summary
`NestedTextTag()`

Method Summary
`int` | `doEndTag()` Complete the processing of the tag.
`int` | `doStartTag()` Overriding method of the heart of the matter.
`void` | `release()` Release the tag's resources and reset the values.

Methods inherited from class com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
`adaptPrepareIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedTextTag

    public NestedTextTag()

Method Detail

### doEndTag

    public int doEndTag()
                 throws JspException

  Complete the processing of the tag. The nested tags here will restore all the original value for the tag itself and the nesting context.

  Returns:
    int to describe the next step for the JSP processor
  Throws:
    `JspException` - for the bad things JSP's do

### doStartTag

    public int doStartTag()
                   throws JspException

  Overriding method of the heart of the matter. Gets the relative property and leaves the rest up to the original tag implementation. Sweet.

  Overrides:
    `doStartTag` in class `BaseFieldTagAdapter`
  Returns:
    int JSP continuation directive. This is in the hands of the super class.
  Throws:
    `JspException` - if a JSP exception has occurred

### release

    public void release()

  Release the tag's resources and reset the values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved